### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class ColumnAttributes

java.lang.Object
com.sas.services.information.metadata.ColumnAttributes

All Implemented Interfaces:
  `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ColumnAttributes extends Object implements Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnAttributes(String description, String sortOrder, boolean isNullable, boolean isDiscrete, int sasColumnLength, String summaryRole, String sasColumnType, String sasColumnName, String sasExtendedColumnType, String sasAttribute, double sasPrecision, double sasScale, double sasExtendedLength, int beginPosition, int endPosition, String sasInformat, String sasFormat, int columnLength, int columnType, String columnName)`
  `ColumnAttributes(String description, String sortOrder, boolean isNullable, boolean isDiscrete, int sasColumnLength, String summaryRole, String sasColumnType, String sasColumnName, String sasExtendedColumnType, String sasAttribute, double sasPrecision, double sasScale, double sasExtendedLength, int beginPosition, int endPosition, String sasInformat, String sasFormat, int columnLength, int columnType, String columnName, String aggregation, String hierarchyRole)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAggregation()`
  `final int`
  `getBeginPosition()`
  `final int`
  `getColumnLength()`
  `final String`
  `getColumnName()`
  `final int`
  `getColumnType()`
  `final String`
  `getDescription()`
  `final int`
  `getEndPosition()`
  `String`
  `getHierarchyRole()`
  `final String`
  `getSasAttribute()`
  `final int`
  `getSasColumnLength()`
  `final String`
  `getSasColumnName()`
  `final String`
  `getSasColumnType()`
  `final String`
  `getSasExtendedColumnType()`
  `final double`
  `getSasExtendedLength()`
  `final String`
  `getSasFormat()`
  `final String`
  `getSasInformat()`
  `final double`
  `getSasPrecision()`
  `final double`
  `getSasScale()`
  `final String`
  `getSortOrder()`
  `final String`
  `getSummaryRole()`
  `final boolean`
  `isDiscrete()`
  `final boolean`
  `isNullable()`
  `void`
  `setAggregation(String aggregation)`
  `final void`
  `setBeginPosition(int beginPosition)`
  `final void`
  `setColumnLength(int columnLength)`
  `final void`
  `setColumnName(String columnName)`
  `final void`
  `setColumnType(int columnType)`
  `final void`
  `setDescription(String description)`
  `final void`
  `setDiscrete(boolean isDiscrete)`
  `final void`
  `setEndPosition(int endPosition)`
  `void`
  `setHierarchyRole(String hierarchyRole)`
  `final void`
  `setNullable(boolean isNullable)`
  `final void`
  `setSasAttribute(String sasAttribute)`
  `final void`
  `setSasColumnLength(int sasColumnLength)`
  `final void`
  `setSasColumnName(String sasColumnName)`
  `final void`
  `setSasColumnType(String sasColumnType)`
  `final void`
  `setSasExtendedColumnType(String sasExtendedColumnType)`
  `final void`
  `setSasExtendedLength(double sasExtendedLength)`
  `final void`
  `setSasFormat(String sasFormat)`
  `final void`
  `setSasInformat(String sasInformat)`
  `final void`
  `setSasPrecision(double sasPrecision)`
  `final void`
  `setSasScale(double sasScale)`
  `final void`
  `setSortOrder(String sortOrder)`
  `final void`
  `setSummaryRole(String summaryRole)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColumnAttributes

    public ColumnAttributes(String description, String sortOrder, boolean isNullable, boolean isDiscrete, int sasColumnLength, String summaryRole, String sasColumnType, String sasColumnName, String sasExtendedColumnType, String sasAttribute, double sasPrecision, double sasScale, double sasExtendedLength, int beginPosition, int endPosition, String sasInformat, String sasFormat, int columnLength, int columnType, String columnName)

  - ### ColumnAttributes

    public ColumnAttributes(String description, String sortOrder, boolean isNullable, boolean isDiscrete, int sasColumnLength, String summaryRole, String sasColumnType, String sasColumnName, String sasExtendedColumnType, String sasAttribute, double sasPrecision, double sasScale, double sasExtendedLength, int beginPosition, int endPosition, String sasInformat, String sasFormat, int columnLength, int columnType, String columnName, String aggregation, String hierarchyRole)

- ## Method Details

  - ### getBeginPosition

    public final int getBeginPosition()
    Returns:
      Returns the beginPosition.

  - ### setBeginPosition

    public final void setBeginPosition(int beginPosition)
    Parameters:
      `beginPosition` - The beginPosition to set.

  - ### getColumnLength

    public final int getColumnLength()
    Returns:
      Returns the columnLength.

  - ### setColumnLength

    public final void setColumnLength(int columnLength)
    Parameters:
      `columnLength` - The columnLength to set.

  - ### getColumnName

    public final String getColumnName()
    Returns:
      Returns the columnName.

  - ### setColumnName

    public final void setColumnName(String columnName)
    Parameters:
      `columnName` - The columnName to set.

  - ### getColumnType

    public final int getColumnType()
    Returns:
      Returns the columnType.

  - ### setColumnType

    public final void setColumnType(int columnType)
    Parameters:
      `columnType` - The columnType to set.

  - ### getEndPosition

    public final int getEndPosition()
    Returns:
      Returns the endPosition.

  - ### setEndPosition

    public final void setEndPosition(int endPosition)
    Parameters:
      `endPosition` - The endPosition to set.

  - ### isDiscrete

    public final boolean isDiscrete()
    Returns:
      Returns the isDiscrete.

  - ### setDiscrete

    public final void setDiscrete(boolean isDiscrete)
    Parameters:
      `isDiscrete` - The isDiscrete to set.

  - ### isNullable

    public final boolean isNullable()
    Returns:
      Returns the isNullable.

  - ### setNullable

    public final void setNullable(boolean isNullable)
    Parameters:
      `isNullable` - The isNullable to set.

  - ### getSasAttribute

    public final String getSasAttribute()
    Returns:
      Returns the sasAttribute.

  - ### setSasAttribute

    public final void setSasAttribute(String sasAttribute)
    Parameters:
      `sasAttribute` - The sasAttribute to set.

  - ### getSasColumnLength

    public final int getSasColumnLength()
    Returns:
      Returns the sasColumnLength.

  - ### setSasColumnLength

    public final void setSasColumnLength(int sasColumnLength)
    Parameters:
      `sasColumnLength` - The sasColumnLength to set.

  - ### getSasColumnName

    public final String getSasColumnName()
    Returns:
      Returns the sasColumnName.

  - ### setSasColumnName

    public final void setSasColumnName(String sasColumnName)
    Parameters:
      `sasColumnName` - The sasColumnName to set.

  - ### getSasColumnType

    public final String getSasColumnType()
    Returns:
      Returns the sasColumnType.

  - ### setSasColumnType

    public final void setSasColumnType(String sasColumnType)
    Parameters:
      `sasColumnType` - The sasColumnType to set.

  - ### getSasExtendedColumnType

    public final String getSasExtendedColumnType()
    Returns:
      Returns the sasExtendedColumnType.

  - ### setSasExtendedColumnType

    public final void setSasExtendedColumnType(String sasExtendedColumnType)
    Parameters:
      `sasExtendedColumnType` - The sasExtendedColumnType to set.

  - ### getSasExtendedLength

    public final double getSasExtendedLength()
    Returns:
      Returns the sasExtendedLength.

  - ### setSasExtendedLength

    public final void setSasExtendedLength(double sasExtendedLength)
    Parameters:
      `sasExtendedLength` - The sasExtendedLength to set.

  - ### getSasFormat

    public final String getSasFormat()
    Returns:
      Returns the sasFormat.

  - ### setSasFormat

    public final void setSasFormat(String sasFormat)
    Parameters:
      `sasFormat` - The sasFormat to set.

  - ### getSasInformat

    public final String getSasInformat()
    Returns:
      Returns the sasInformat.

  - ### setSasInformat

    public final void setSasInformat(String sasInformat)
    Parameters:
      `sasInformat` - The sasInformat to set.

  - ### getSasPrecision

    public final double getSasPrecision()
    Returns:
      Returns the sasPrecision.

  - ### setSasPrecision

    public final void setSasPrecision(double sasPrecision)
    Parameters:
      `sasPrecision` - The sasPrecision to set.

  - ### getSasScale

    public final double getSasScale()
    Returns:
      Returns the sasScale.

  - ### setSasScale

    public final void setSasScale(double sasScale)
    Parameters:
      `sasScale` - The sasScale to set.

  - ### getSortOrder

    public final String getSortOrder()
    Returns:
      Returns the sortOrder.

  - ### setSortOrder

    public final void setSortOrder(String sortOrder)
    Parameters:
      `sortOrder` - The sortOrder to set.

  - ### getSummaryRole

    public final String getSummaryRole()
    Returns:
      Returns the summaryRole.

  - ### setSummaryRole

    public final void setSummaryRole(String summaryRole)
    Parameters:
      `summaryRole` - The summaryRole to set.

  - ### getDescription

    public final String getDescription()
    Returns:
      Returns the description.

  - ### setDescription

    public final void setDescription(String description)
    Parameters:
      `description` - The description to set.

  - ### getAggregation

    public String getAggregation()
    Returns:
      the aggregation

  - ### setAggregation

    public void setAggregation(String aggregation)
    Parameters:
      `aggregation` - the aggregation to set

  - ### getHierarchyRole

    public String getHierarchyRole()
    Returns:
      the hierarchyRole

  - ### setHierarchyRole

    public void setHierarchyRole(String hierarchyRole)
    Parameters:
      `hierarchyRole` - the hierarchyRole to set